Name:           deco
Version:        1.6.3
Release:        4%{?dist}
Summary:        Extractor for various archive file formats
Group:          Applications/Archiving
License:        GPLv3
URL:            http://hartlich.com/deco/
Source0:        http://hartlich.com/deco/download/%{name}-%{version}.tar.gz

Requires:       deco-archive >= 1.2

%description
deco is a Un*x program, written in SUSv3-compliant C99, 
that is able to extract various archive file formats
with features like consistent behavior, consistent 
interface and much more.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=%{_prefix} SHARE=%{_var}/lib/%{name} \
                     CFLAGS="%optflags" LDFLAGS=""

%install
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}
install -dm 755 %{buildroot}/%{_var}/lib/%{name}

%files
%doc LICENSE CREDITS NEWS README
%{_bindir}/%{name}
%dir %{_var}/lib/%{name}

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.6.3-1
- Version update

* Sat Feb 23 2013 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.6.2-6
- Bugfix: occasional crash due to uninitialized pointer. RHBZ #914659

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 15 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.6.2-1
- Version update

* Fri Feb 05 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.6.1-1
- Version update.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.6-1
- Version update. Change in work flow for failed extractions.

* Thu Nov 20 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.5.7-2
- License is GPLv3.
- The extraction scripts will be inside %%{_var}/lib/%%{name}.

* Wed Nov 19 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.5.7-1
- Version update

* Wed Oct 29 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.5.6-2
- Package deco-archive separately

* Tue Oct 28 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 1.5.6-1
- Rebuild with version 1.5.6

* Mon Apr 28 2008 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 0.8.1-2
- Updates to file listings per review
- moved to macros instead of direct paths
- Source0 now in url form
- added dir for the deco data directory

* Fri Apr 25 2008 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 0.8.1-1
- Upstream updates.
- Updates to file listings.

* Mon Apr 14 2008 Steve 'Ashcrow' Milner <stevem@gnulinux.net> - 0.6-1
- Initial package.
